image: alpine:3.18

stages:
  - deploy

before_script:
  # Installation de lftp (pour envoyer les fichiers par FTP)
  - apk update && apk add --no-cache lftp

deploy_prod:
  stage: deploy
  script:
    - echo "Déploiement du projet Laravel vers OVH..."
    - lftp -c "
        set ftp:ssl-allow no;
        open -u $FTP_USER,$FTP_PASS $FTP_HOST;
        mirror -R --delete --verbose --exclude .git --exclude .gitlab-ci.yml ./ $FTP_PROJECT_DIR
      "
  only:
    - master
